Bug 1413341 - [abrt] audacity: OnExit(): audacity killed by SIGABRT [NEEDINFO]
Summary: [abrt] audacity: OnExit(): audacity killed by SIGABRT
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: audacity
Version: 25
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: David Timms
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:70e3b1ea62cd6769b9a7a524494...
: 1450648 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-15 05:54 UTC by Marcus
Modified: 2017-12-12 10:03 UTC (History)
7 users (show)

Fixed In Version: audacity-2.1.3-2.fc26 audacity-2.1.3-2.fc25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:03:39 UTC
Type: ---
lam: needinfo? (dtimms)


Attachments (Terms of Use)
File: backtrace (32.54 KB, text/plain)
2017-01-15 05:54 UTC, Marcus
no flags Details
File: cgroup (148 bytes, text/plain)
2017-01-15 05:54 UTC, Marcus
no flags Details
File: core_backtrace (2.40 KB, text/plain)
2017-01-15 05:54 UTC, Marcus
no flags Details
File: dso_list (17.52 KB, text/plain)
2017-01-15 05:54 UTC, Marcus
no flags Details
File: environ (1.82 KB, text/plain)
2017-01-15 05:54 UTC, Marcus
no flags Details
File: limits (1.29 KB, text/plain)
2017-01-15 05:54 UTC, Marcus
no flags Details
File: maps (86.03 KB, text/plain)
2017-01-15 05:54 UTC, Marcus
no flags Details
File: mountinfo (4.02 KB, text/plain)
2017-01-15 05:54 UTC, Marcus
no flags Details
File: namespaces (102 bytes, text/plain)
2017-01-15 05:54 UTC, Marcus
no flags Details
File: open_fds (2.31 KB, text/plain)
2017-01-15 05:54 UTC, Marcus
no flags Details
File: proc_pid_status (1.11 KB, text/plain)
2017-01-15 05:55 UTC, Marcus
no flags Details
File: var_log_messages (3.10 KB, text/plain)
2017-01-15 05:55 UTC, Marcus
no flags Details

Description Marcus 2017-01-15 05:54:32 UTC
Description of problem:
Switching the audio input to the microphone in the gnome-control-center. Maybe.

Version-Release number of selected component:
audacity-2.1.3-0.7.20161109git53a5c93.fc25

Additional info:
reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        audacity
crash_function: OnExit
executable:     /usr/bin/audacity
global_pid:     3307
kernel:         4.9.3-200.fc25.x86_64
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (3 frames)
 #4 OnExit at src/hostapi/alsa/pa_linux_alsa.c:3382
 #5 __pthread_cleanup_routine at /usr/include/pthread.h:611
 #6 CallbackThreadFunc at src/hostapi/alsa/pa_linux_alsa.c:4180

Potential duplicate: bug 1324010

Comment 1 Marcus 2017-01-15 05:54:40 UTC
Created attachment 1240881 [details]
File: backtrace

Comment 2 Marcus 2017-01-15 05:54:42 UTC
Created attachment 1240882 [details]
File: cgroup

Comment 3 Marcus 2017-01-15 05:54:44 UTC
Created attachment 1240883 [details]
File: core_backtrace

Comment 4 Marcus 2017-01-15 05:54:46 UTC
Created attachment 1240884 [details]
File: dso_list

Comment 5 Marcus 2017-01-15 05:54:48 UTC
Created attachment 1240885 [details]
File: environ

Comment 6 Marcus 2017-01-15 05:54:49 UTC
Created attachment 1240886 [details]
File: limits

Comment 7 Marcus 2017-01-15 05:54:53 UTC
Created attachment 1240887 [details]
File: maps

Comment 8 Marcus 2017-01-15 05:54:55 UTC
Created attachment 1240888 [details]
File: mountinfo

Comment 9 Marcus 2017-01-15 05:54:56 UTC
Created attachment 1240889 [details]
File: namespaces

Comment 10 Marcus 2017-01-15 05:54:58 UTC
Created attachment 1240890 [details]
File: open_fds

Comment 11 Marcus 2017-01-15 05:55:00 UTC
Created attachment 1240891 [details]
File: proc_pid_status

Comment 12 Marcus 2017-01-15 05:55:02 UTC
Created attachment 1240892 [details]
File: var_log_messages

Comment 13 pmkellly 2017-03-04 13:08:25 UTC
Similar problem has been detected:

I had, on a prior occasion, recorded some short sound tracks (~5-10 seconds)
using Audacity and saved them as .ogg files. On this occasion I started
Audacity and loaded one of the files and started editing it. I selected and
deleted several small pieces of the track from the from and back ends to
get it down to what I wanted. Then I did a Fade Out on the back end.
I exported the track to replace the same .ogg file that I had started with.
I am not experienced with Audacity and forgot the Close function in the
menu. I selected all of the track and deleted it and started to open the
next .ogg file to edit when the crash occured.

reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        audacity
crash_function: OnExit
executable:     /usr/bin/audacity
global_pid:     1922
kernel:         4.9.13-200.fc25.x86_64
package:        audacity-2.1.3-0.7.20161109git53a5c93.fc25
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
reason:         audacity killed by SIGABRT
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 14 Fedora Update System 2017-03-26 18:52:58 UTC
audacity-2.1.3-2.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-c6511f96f9

Comment 15 Fedora Update System 2017-03-27 02:18:52 UTC
audacity-2.1.3-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-ec5e8e0240

Comment 16 Fedora Update System 2017-03-27 03:20:42 UTC
audacity-2.1.3-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-a20103b1c8

Comment 17 Fedora Update System 2017-04-03 16:07:43 UTC
audacity-2.1.3-2.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2017-04-03 22:53:48 UTC
audacity-2.1.3-2.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 19 hx 2017-05-14 11:26:00 UTC
*** Bug 1450648 has been marked as a duplicate of this bug. ***

Comment 20 Leszek Matok 2017-06-03 19:30:32 UTC
Similar problem has been detected:

Just  tried recording (for like the third time in this session, this happens often but it's unpredictable whether next recording will cause a crash or not)

reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        audacity
crash_function: OnExit
executable:     /usr/bin/audacity
global_pid:     2419
kernel:         4.11.3-200.fc25.x86_64
package:        audacity-2.1.3-2.fc25
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
reason:         audacity killed by SIGABRT
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 21 Leszek Matok 2017-06-03 19:34:46 UTC
Either this isn't fixed at all, or abrt's duplicate detection logic needs fixing.

Comment 22 Dmitry Tantsur 2017-06-23 11:54:52 UTC
Similar problem has been detected:

Crash after starting Audacity and pressing the "record" button. I'm using Logitech H390 headset (works in all other applications).

reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        audacity
crash_function: OnExit
executable:     /usr/bin/audacity
global_pid:     18567
kernel:         4.11.5-200.fc25.x86_64
package:        audacity-2.1.3-2.fc25
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
reason:         audacity killed by SIGABRT
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 23 Dmitry Tantsur 2017-06-23 11:56:18 UTC
Yep, either this or the duplicate bug has to be reopened.

Comment 24 Jaroslav Škarvada 2017-09-08 21:21:55 UTC
Similar problem has been detected:

Click record and record from external soundcard. Then click stop. Then click record again, the crash happen. It's 100% reproducible. Maybe it's reproducible with the internal sound card as well (I haven't tried).

reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        audacity
crash_function: OnExit
executable:     /usr/bin/audacity
global_pid:     9642
kernel:         4.12.9-200.fc25.x86_64
package:        audacity-2.1.3-2.fc25
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
reason:         audacity killed by SIGABRT
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 25 Fedora End Of Life 2017-11-16 14:07:38 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 26 Fedora End Of Life 2017-12-12 10:03:39 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.